import { Component, OnInit } from '@angular/core';
import { Employee, employeesData } from './localData';
import {
  IgxGridComponent,
  IgxCheckboxComponent,
  IgxColumnComponent,
  IgxDatePickerComponent,
  IgxPaginatorComponent,
  IgxGridToolbarComponent,
  IgxGridToolbarTitleComponent,
  IgxGridToolbarActionsComponent,
  IgxGridToolbarPinningComponent,
  IgxGridToolbarHidingComponent,
} from '@infragistics/igniteui-angular';
import { DatePipe } from '@angular/common';

@Component({
  selector: 'app-grid-example',
  templateUrl: './grid-example.component.html',
  styleUrls: ['./grid-example.component.scss'],
  standalone: true,
  imports: [
    IgxGridComponent,
    IgxCheckboxComponent,
    IgxColumnComponent,
    DatePipe,
    IgxDatePickerComponent,
    IgxPaginatorComponent,
    IgxGridToolbarComponent,
    IgxGridToolbarTitleComponent,
    IgxGridToolbarActionsComponent,
    IgxGridToolbarPinningComponent,
    IgxGridToolbarHidingComponent,
  ],
})
export class GridExampleComponent implements OnInit {
  public localData: Employee[] = [];
  title = 'grid-example';

  ngOnInit(): void {
    this.localData = employeesData;
  }
}
